// node-fetch is used to make network requests to the Prismic Rest API.
// In Node.js Prismic projects, you must provide a fetch method to the
// Prismic client.
import * as prismic from '@prismicio/client';

export const repoName = 'your-repo-name'; // Fill in your repository name.
const apiEndpoint = prismic.getEndpoint(repoName); // Format your endpoint.

export const createClient = ({ req, previewData, options } = {}) => {
  const client = prismic.createClient(apiEndpoint, {
    // If your repo is private, add an access token.
    accessToken: '',

    routes: [
      {
        type: 'blog_home',
        path: '/',
      },
      {
        type: 'post',
        path: '/blog/:uid',
      },
    ],
  });

  if (req) {
    client.enableAutoPreviewsFromReq(req);
  } else if (previewData) {
    client.queryContentFromRef(previewData.ref);
  }

  return client;
};
